package de.donmanfred;

import com.example.scott.ledview.LEDView;

import android.content.Context;
import android.support.annotation.ColorInt;
import android.util.DisplayMetrics;
import android.view.ViewGroup;
import android.view.WindowManager.LayoutParams;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.DependsOn;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.Pixel;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.keywords.Common.DesignerCustomView;
import anywheresoftware.b4a.objects.CustomViewWrapper;
import anywheresoftware.b4a.objects.LabelWrapper;
import anywheresoftware.b4a.objects.PanelWrapper;
import anywheresoftware.b4a.objects.ViewWrapper;
import anywheresoftware.b4a.objects.collections.Map;

@Version(1.00f)
@ShortName("LEDView")
//@Permissions(values={"android.permission.INTERNET", "android.permission.ACCESS_NETWORK_STATE"})
//@Events(values={"onSigned(sign As Object)"})
@DependsOn(values={"com.android.support:support-v4"})
public class LEDViewWrapper extends ViewWrapper<LEDView>  implements DesignerCustomView {
	private BA ba;
	private String eventName;
	 
	/*
	 * Initialize the HTML-TextView 
	 */   	
	public void Initialize(BA ba, String EventName) {
		_initialize(ba, null, EventName);
	}

	@Override
	public void DesignerCreateView(PanelWrapper base, LabelWrapper lw, Map props) {
		//getObject().setChecked((Boolean)props.Get("Checked"));
		CustomViewWrapper.replaceBaseWithView(base, getObject());
	}

	
	@Hide
	@Override
	public void _initialize(BA ba, Object activityClass, String EventName) {
		this.eventName = EventName.toLowerCase(BA.cul);
		this.ba = ba;
		this.setObject(new LEDView(ba.context));
 	}

	public void initLED(String str, @ColorInt int ledColor, int ledTextSize, int ledPixel) {
		getObject().setLED(str, ledColor, ledTextSize, ledPixel);
	}

	public int getLEDColor() {
		return getObject().getLEDColor();
	}
	public String getLEDText() {
		return getObject().getLEDText();
	}

	public void run() {
		getObject().run();
	}
	
	
	
}
